﻿Imports System.Collections.ObjectModel

Public Module NodeProvider

    Public Function GetNodes() As ObservableCollection(Of NodeModel)
        Dim nodes As ObservableCollection(Of NodeModel) = New ObservableCollection(Of NodeModel)()

        Dim rootNode As NodeModel = New NodeModel()
        rootNode.Label = "Green"
        rootNode.ToolTip = rootNode.Label
        rootNode.NodeType = NodeModelType.GreenNode
        nodes.Add(rootNode)

        Dim blue1 As NodeModel = New NodeModel()
        blue1.Label = "Blue"
        blue1.ToolTip = blue1.Label
        blue1.NodeType = NodeModelType.BlueNode
        blue1.Connections = New ObservableCollection(Of ConnectionModel)()
        blue1.Connections.Add(New ConnectionModel() With {.Target = rootNode, .Weight = 1})
        nodes.Add(blue1)

        Dim red1 As NodeModel = New NodeModel()
        red1.Label = "Red"
        red1.ToolTip = red1.Label
        red1.NodeType = NodeModelType.RedNode
        red1.Connections = New ObservableCollection(Of ConnectionModel)()
        red1.Connections.Add(New ConnectionModel() With {.Target = blue1, .Weight = 1})
        nodes.Add(red1)

        Dim red2 As NodeModel = New NodeModel()
        red2.Label = "Red"
        red2.ToolTip = red2.Label
        red2.NodeType = NodeModelType.RedNode
        red2.Connections = New ObservableCollection(Of ConnectionModel)()
        red2.Connections.Add(New ConnectionModel() With {.Target = blue1, .Weight = 1})
        nodes.Add(red2)

        Dim red3 As NodeModel = New NodeModel()
        red3.Label = "Red"
        red3.ToolTip = red3.Label
        red3.NodeType = NodeModelType.RedNode
        red3.Connections = New ObservableCollection(Of ConnectionModel)()
        red3.Connections.Add(New ConnectionModel() With {.Target = blue1, .Weight = 1})
        nodes.Add(red3)

        Dim blue2 As NodeModel = New NodeModel()
        blue2.Label = "Blue"
        blue2.ToolTip = blue2.Label
        blue2.NodeType = NodeModelType.BlueNode
        blue2.Connections = New ObservableCollection(Of ConnectionModel)()
        blue2.Connections.Add(New ConnectionModel() With {.Target = rootNode, .Weight = 1})
        nodes.Add(blue2)

        Dim red1a As NodeModel = New NodeModel()
        red1a.Label = "Red"
        red1a.ToolTip = red1a.Label
        red1a.NodeType = NodeModelType.RedNode
        red1a.Connections = New ObservableCollection(Of ConnectionModel)()
        red1a.Connections.Add(New ConnectionModel() With {.Target = blue2, .Weight = 1})
        nodes.Add(red1a)

        Dim red2b As NodeModel = New NodeModel()
        red2b.Label = "Red"
        red2b.ToolTip = red2b.Label
        red2b.NodeType = NodeModelType.RedNode
        red2b.Connections = New ObservableCollection(Of ConnectionModel)()
        red2b.Connections.Add(New ConnectionModel() With {.Target = blue2, .Weight = 1})
        nodes.Add(red2b)

        Dim red3c As NodeModel = New NodeModel()
        red3c.Label = "Red"
        red3c.ToolTip = red3c.Label
        red3c.NodeType = NodeModelType.RedNode
        red3c.Connections = New ObservableCollection(Of ConnectionModel)()
        red3c.Connections.Add(New ConnectionModel() With {.Target = blue2, .Weight = 1})
        nodes.Add(red3c)

        Dim red4d As NodeModel = New NodeModel()
        red4d.Label = "Red"
        red4d.ToolTip = red4d.Label
        red4d.NodeType = NodeModelType.RedNode
        red4d.Connections = New ObservableCollection(Of ConnectionModel)()
        red4d.Connections.Add(New ConnectionModel() With {.Target = blue2, .Weight = 1})
        nodes.Add(red4d)

        Dim blue3 As NodeModel = New NodeModel()
        blue3.Label = "Blue"
        blue3.ToolTip = blue3.Label
        blue3.NodeType = NodeModelType.BlueNode
        blue3.Connections = New ObservableCollection(Of ConnectionModel)()
        blue3.Connections.Add(New ConnectionModel() With {.Target = rootNode, .Weight = 1})
        nodes.Add(blue3)

        Dim redA As NodeModel = New NodeModel()
        redA.Label = "Red"
        redA.ToolTip = redA.Label
        redA.NodeType = NodeModelType.RedNode
        redA.Connections = New ObservableCollection(Of ConnectionModel)()
        redA.Connections.Add(New ConnectionModel() With {.Target = blue3, .Weight = 1})
        nodes.Add(redA)

        Dim redB As NodeModel = New NodeModel()
        redB.Label = "Red"
        redB.ToolTip = redB.Label
        redB.NodeType = NodeModelType.RedNode
        redB.Connections = New ObservableCollection(Of ConnectionModel)()
        redB.Connections.Add(New ConnectionModel() With {.Target = blue3, .Weight = 1})
        nodes.Add(redB)

        Dim redC As NodeModel = New NodeModel()
        redC.Label = "Red"
        redC.ToolTip = redC.Label
        redC.NodeType = NodeModelType.RedNode
        redC.Connections = New ObservableCollection(Of ConnectionModel)()
        redC.Connections.Add(New ConnectionModel() With {.Target = blue3, .Weight = 1})
        nodes.Add(redC)

        Dim redD As NodeModel = New NodeModel()
        redD.Label = "Red"
        redD.ToolTip = redD.Label
        redD.NodeType = NodeModelType.RedNode
        redD.Connections = New ObservableCollection(Of ConnectionModel)()
        redD.Connections.Add(New ConnectionModel() With {.Target = blue3, .Weight = 1})
        nodes.Add(redD)

        Dim redE As NodeModel = New NodeModel()
        redE.Label = "Red"
        redE.ToolTip = redE.Label
        redE.NodeType = NodeModelType.RedNode
        redE.Connections = New ObservableCollection(Of ConnectionModel)()
        redE.Connections.Add(New ConnectionModel() With {.Target = blue3, .Weight = 1})
        nodes.Add(redE)

        Dim redF As NodeModel = New NodeModel()
        redF.Label = "Red"
        redF.ToolTip = redF.Label
        redF.NodeType = NodeModelType.RedNode
        redF.Connections = New ObservableCollection(Of ConnectionModel)()
        redF.Connections.Add(New ConnectionModel() With {.Target = blue3, .Weight = 1})
        nodes.Add(redF)

        Dim blue4 As NodeModel = New NodeModel()
        blue4.Label = "Blue"
        blue4.ToolTip = blue4.Label
        blue4.NodeType = NodeModelType.BlueNode
        blue4.Connections = New ObservableCollection(Of ConnectionModel)()
        blue4.Connections.Add(New ConnectionModel() With {.Target = rootNode, .Weight = 1})
        nodes.Add(blue4)

        Dim desk1 As NodeModel = New NodeModel()
        desk1.Label = "Red"
        desk1.ToolTip = desk1.Label
        desk1.NodeType = NodeModelType.RedNode
        desk1.Connections = New ObservableCollection(Of ConnectionModel)()
        desk1.Connections.Add(New ConnectionModel() With {.Target = blue4, .Weight = 1})
        nodes.Add(desk1)

        Dim desk2 As NodeModel = New NodeModel()
        desk2.Label = "Red"
        desk2.ToolTip = desk2.Label
        desk2.NodeType = NodeModelType.RedNode
        desk2.Connections = New ObservableCollection(Of ConnectionModel)()
        desk2.Connections.Add(New ConnectionModel() With {.Target = blue4, .Weight = 1})
        nodes.Add(desk2)

        Return nodes
    End Function

End Module
